%global filename com.github.hannesschulze.optimizer

Name:           optimizer
Version:        1.1.0
Release:        2%{?dist}
Summary:        Find out what's eating up your system resources

License:        GPLv3+
URL:            https://github.com/hannesschulze/optimizer/
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  vala

Requires:       hicolor-icon-theme

%description
Find out what's eating up your system resources and delete unnecessary files
from your disk.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{filename}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{filename}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{filename}.desktop

%files -f %{filename}.lang
%doc README.md
%license COPYING
%{_bindir}/%{filename}
%{_datadir}/applications/%{filename}.desktop
%{_datadir}/glib-2.0/schemas/%{filename}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{filename}.svg
%{_metainfodir}/%{filename}.appdata.xml

%changelog
* Wed Mar 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-2
- Initial Package
